using SumaTube.Domain.Entities.Videos;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SumaTube.Application.Videos.Contracts
{
    public interface IVideoApplicationService
    {
        Task<List<VideoSummary>> GetUserVideosAsync(string userId);
        Task<VideoSummary> GetVideoSummaryByIdAsync(string id, string userId);
        Task<VideoSummary> RequestVideoSummaryAsync(string youtubeUrl, string language, string userId);
        Task<object> CheckSummaryStatusAsync(string id, string userId);
    }
}
